# Class InvocationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.jdi.InvocationException

All Implemented Interfaces:
  `Serializable`

public class InvocationException extends Exception
Thrown to indicate an exception occurred in an invoked method within the target VM.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvocationException(ObjectReference exception)`

## Method Summary

Modifier and Type
Method
Description
`ObjectReference`
`exception()`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvocationException

public InvocationException(ObjectReference exception)

## Method Details

### exception

public ObjectReference exception()